org.eclipse.jetty.io

## Class BufferDateCache

- java.lang.Object
- - org.eclipse.jetty.util.DateCache
  - - org.eclipse.jetty.io.BufferDateCache

    public class BufferDateCache
    extends DateCache

### Field Summary

### Fields inherited from class org.eclipse.jetty.util.DateCache

`DEFAULT_FORMAT`

### Constructor Summary

Constructors
Constructor and Description
`BufferDateCache()`
`BufferDateCache(String format)`
`BufferDateCache(String format, DateFormatSymbols s)`
`BufferDateCache(String format, Locale l)`

### Method Summary

Methods
`Buffer` `formatBuffer(long date)`

### Methods inherited from class org.eclipse.jetty.util.DateCache

`format, format, format, getFormat, getFormatString, getTimeZone, lastMs, now, setTimeZone, setTimeZoneID`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BufferDateCache

    public BufferDateCache()

#### BufferDateCache

    public BufferDateCache(String format,
                   DateFormatSymbols s)

#### BufferDateCache

    public BufferDateCache(String format,
                   Locale l)

#### BufferDateCache

    public BufferDateCache(String format)

### Method Detail

#### formatBuffer

    public Buffer formatBuffer(long date)